## eole-salt-dependencies 2.8.1-2

=== Makefile ===
#!/usr/bin/make -f

SOURCE=eole-salt-dependencies
VERSION=2.8
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.1

MODULES := python-ldap m2crypto lxml pyudev
PIP_DIR :=/tmp/salt-pip-22-3-1-${USER}
SALT_PIP := cd $(PIP_DIR) && salt-pip

ifneq (, $(DESTDIR))
TARGET_OPTION=--target=$(DESTDIR)
endif

all:

install: $(MODULES) posttemplate

$(MODULES): pip
	$(SALT_PIP) install $(TARGET_OPTION) $@

# Workaround https://github.com/saltstack/salt/issues/66311
pip: $(PIP_DIR)
	salt-pip install --ignore-installed --target=$(PIP_DIR) pip==22.3.1

$(PIP_DIR):
	install -m 755 -d $@

uninstall:
	rm -rf /opt/saltstack/salt/extras-*/*

.PHONY: all install

=== debian/changelog ===
eole-salt-dependencies (2.8.1-2) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [3822ad2] fix(debian/rules): salt-pip wants to write to ${HOME}

  [ EOLE Build Daemon ]
  * [0e338cb] Daniel Dehennin: Update package since “debian/eole/2.8.1-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 30 Jan 2025 15:12:02 +0100

eole-salt-dependencies (2.8.1-1) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f53860c] feat(dependencies): install m2crypto
  * [96b980a] feat(dependencies): install creole and its dependency lxml
  * [6178f18] feat(pip): can't install with non root users
  * [e338fdf] feat(creole): install during EOLE posttemplate
  * [f509413] fix(posttemplate): use a numbered prefix
  * [e7facb9] feat(posttemplate): install more used modules
  * [e3e59b4] fix(salt-pip): can't install the `install` module
  * [10d7b11] feat(debian): new packaging for EOLE 2.8.1

  [ Benjamin Bohard ]
  * [c1c9929] Dépendance manquante

  [ Joël Cuissinat ]
  * [1975b82] fix(posttemplate): pyudev is already installed by Makefile

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 30 Jan 2025 14:49:06 +0100

=== debian/control ===
Source: eole-salt-dependencies
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper-compat (= 10),
               ca-certificates,
               git,
	       libssl-dev,
               libldap-dev,
               libsasl2-dev,
               libxml2-dev,
               libxslt1-dev,
               salt-common,
               swig,
               zlib1g-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: https://dev-eole.ac-dijon.fr/projects/eole-workstation/repository/eole-salt-dependencies
Vcs-Browser: https://dev-eole.ac-dijon.fr/projects/eole-salt-dependencies

Package: eole-salt-dependencies
Architecture: any
Depends: salt-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Modules salt pré-compilés
 Ce paquet fournit les modules nécessaires au fonctionnement de salt
 sur les modules EOLE.
 .
 Il fournit les modules suivants :
 .
   - python-ldap
   - m2crypto
   - lxml
   - pyudev
   - creole

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_OPTIONS=-v
# export DH_VERBOSE=1
EXTRA_DIR=$(shell ls -1d /opt/saltstack/salt/extras-*)

# salt-pip requires write access to ${HOME}
HOME=/tmp

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/eole-salt-dependencies$(EXTRA_DIR)
	find debian/eole-salt-dependencies$(EXTRA_DIR) -depth -type d -name __pycache__ -exec rm -rf {} \;

## eole-salt-dependencies 2.9.0-1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
 SOURCE=eole-salt-dependencies
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 
 MODULES := python-ldap m2crypto lxml pyudev
 PIP_DIR :=/tmp/salt-pip-22-3-1-${USER}

=== debian/changelog ===
eole-salt-dependencies (2.9.0-1) eole-2.9.0-proposed-updates; urgency=low

  * [10d7b11] feat(debian): new packaging for EOLE 2.8.1
  * [ea9f0d4] Merge branch '2.9.0/master' into dist/eole/2.9.0/master
  * [28d9bb7] feat(debian/control): update build-dep and standard version for Jammy

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 30 Jan 2025 15:21:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 13),
                ca-certificates,
                git,
 	       libssl-dev,
@@ -13,7 +13,7 @@
                salt-common,
                swig,
                zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: https://dev-eole.ac-dijon.fr/projects/eole-workstation/repository/eole-salt-dependencies

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 # export DH_VERBOSE=1
 EXTRA_DIR=$(shell ls -1d /opt/saltstack/salt/extras-*)
 
-# salt-pip requires write access to ${HOME}
-HOME=/tmp
-
 %:
 	dh $@

## eole-salt-dependencies 2.10.0-9

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
 SOURCE=eole-salt-dependencies
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 
 MODULES := python-ldap m2crypto lxml pyudev
 PIP_DIR :=/tmp/salt-pip-22-3-1-${USER}

=== debian/changelog ===
eole-salt-dependencies (2.10.0-9) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [d60699e] fix(posttemplate): pyudev is already installed by Makefile
  * [bb69b7e] Merge branch 'main' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [48a994c] Joël Cuissinat: Update package since “debian/eole/2.10.0-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 05 Sep 2024 09:21:25 +0200

eole-salt-dependencies (2.10.0-8) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [b5a7745] fix(salt-pip): can't install the `install` module
  * [b50017b] Merge branch 'main' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [d61b846] Daniel Dehennin: Update package since “debian/eole/2.10.0-7”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 24 Jul 2024 10:32:11 +0200

eole-salt-dependencies (2.10.0-7) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [281ae9a] Dépendance manquante
  * [877faa1] Merge branch 'main' into dist/eole/2.10.0/master
  * [d51d93c] Nouvelle dépendance (listée dans la description du paquet).

  [ EOLE Build Daemon ]
  * [4ea6555] Benjamin Bohard: Update package since “debian/eole/2.10.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 24 Jul 2024 09:41:30 +0200

eole-salt-dependencies (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [3ec5027] feat(posttemplate): install more used modules
  * [522fd81] Merge branch 'main' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [853ab39] Daniel Dehennin: Update package since “debian/eole/2.10.0-5”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 09 Jul 2024 14:30:03 +0200

eole-salt-dependencies (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [aecfb9e] fix(debian/rules): remove bytecompiled files

  [ EOLE Build Daemon ]
  * [01cfa87] Daniel Dehennin: Update package since “debian/eole/2.10.0-4”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 08 Jul 2024 16:43:24 +0200

eole-salt-dependencies (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [88ddcf9] fix(posttemplate): use a numbered prefix
  * [07946b1] Merge branch 'main' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [efde7cf] Daniel Dehennin: Update package since “debian/eole/2.10.0-3”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 08 Jul 2024 16:20:20 +0200

eole-salt-dependencies (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a954429] feat(creole): install during EOLE posttemplate
  * [e30407a] Merge branch 'main' into dist/eole/2.10.0/master
  * [0a459bd] feat(debian): install posttemplate script

  [ EOLE Build Daemon ]
  * [abf9b50] Daniel Dehennin: Update package since “debian/eole/2.10.0-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 08 Jul 2024 15:49:25 +0200

eole-salt-dependencies (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [68f3d86] feat(pip): can't install with non root users
  * [f637a96] Merge branch 'main' into dist/eole/2.10.0/master
  * [95b8d43] feat(debian/rules): recreate salt extras layout in package

  [ EOLE Build Daemon ]
  * [254fae7] Daniel Dehennin: Update package since “debian/eole/2.10.0-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 08 Jul 2024 11:58:36 +0200

eole-salt-dependencies (2.10.0-1) eole-2.10-unstable; urgency=low

  * [74db2e6] feat(debian): new packaging for EOLE 2.10.0

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 05 Jul 2024 11:36:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper-compat (= 13),
                ca-certificates,
                git,
-	       libssl-dev,
                libldap-dev,
                libsasl2-dev,
                libxml2-dev,
@@ -13,7 +12,7 @@
                salt-common,
                swig,
                zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: https://dev-eole.ac-dijon.fr/projects/eole-workstation/repository/eole-salt-dependencies
